# kprint.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for kprint.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | kprintf (const char *fmt,...)

## Variables

int | printOff

## Function Documentation

int kprintf | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

Definition at line 38 of file kprintf.c.

Referenced by __assert(), __sysctl(), _int13(), addDirEntry(), apicMagic(), atkbd_init(), close(), devfs_makeNode(), devfs_open(), devfs_read(), device_add(), dp_pkt2user(), dp_recv(), elf_loadfile(), execFile(), falloc(), fcntl(), fdcRw(), ffs_read(), fopen(), fsread(), fstat(), getdtablesize(), getfd(), getgid(), getpid(), gettimeofday_new(), getuid(), hdInit(), hdRead(), hdWrite(), i8259_init(), idt_init(), inet_aton(), initHardDisk(), initLNC(), intNull(), invalidCall(), InvalidSystemCall(), issetugid(), keyboardHandler(), kfree(), kmain(), kmalloc(), kmod_add(), kmod_load(), kpanic(), ldEnable(), lncAttach(), lncInt(), lookup(), mmap(), mouseHandler(), mouseInit(), munmap(), ne2k_init(), ne2kHandler(), obreak(), openFileUbixFS(), pci_init(), pciProbe(), pit_init(), read(), readlink(), sched_init(), seek(), sys_exec(), sys_write(), sysAuth(), syscall(), sysctl_add(), sysctl_init(), sysExec(), sysFopen(), sysMkDir(), sysPasswd(), systemTask(), time_init(), tty_init(), ubixfs_initialize(), ubixfs_thread(), ubixFSUnlink(), ubthread_mutex_lock(), ufs_writeFile(), vfs_init(), vfs_mount(), vfsRegisterFS(), vitals_init(), vmm_cleanVirtualSpace(), vmm_pageFault(), vmm_pagingInit(), vmm_remapPage(), vmmGetFreeVirtualPage(), and vmmMemMapInit().

## Variable Documentation

int printOff

Definition at line 35 of file kprintf.c.

Referenced by kprintf(), and systemTask().